/* $Id: srw-server.c,v 1.4 2002/10/16 19:10:23 adam Exp $
   Copyright (C) 2002
   Index Data Aps

This file is part of the SRW tools.

See the file COPYING for details.
*/

#include <stdio.h>

#include "soapH.h"

int main (int argc, char **argv)
{
    struct soap soap;
    int m;

    soap_init(&soap);

    m = soap_bind(&soap, "localhost", 8001, 100);
    if (m < 0)
    {
        soap_print_fault(&soap, stderr);
    }
    else
    {
        int i;
        for (i = 0; ; i++)
        {
            int s = soap_accept(&soap);
	    printf ("request %d\n", i);
            if (s < 0)
            {
                soap_print_fault(&soap, stderr);
                break;
            }
            else
            {
                soap_serve(&soap);
                soap_end(&soap);
            }
        }
    }
    soap_done(&soap);
    exit (0);
    return 0;
}

int zs__searchRetrieve(struct soap * soap,
                       zt__cqlType *query,
                       zt__sortSpecType *sort,
                       xsd__integer *startRecord,
                       xsd__integer *maximumRecords,
                       zt__schemaRefType *recordSchema,
                       struct zs__srwSearchRetrieveResponse *res)
{
    res->searchRetrieveResponse.numberOfRecords = 42;
    return SOAP_OK;
}

